library(ape)
library(shipunov)
source("data/make_treesc.r")

DIR <-  dir("data")
trees <- c("tall_mb")
for(t in trees) {
assign(t, read.tree(paste0("data/",  DIR[grepl(t, DIR)])))
}
tree <- tall_mb

## classification table for treecl
cl <- read.table("data/plantago_treecl_classif.txt", sep="\t", quote="", as.is=T)

## collapsing to subgenera and above clades
tree <- Make.treesc(list(tree))[[1]]
tree <- drop.tip(tree, c("Tetranema mexicanum", "Veronicastrum virginicum"))
tree$tip.label[tree$tip.label == "Plantago nubicola"] <- "Bougueria"
pdf("data/plantago_treecl.pdf")
Plot.phylocl(tree, cl, strict=FALSE, no.margin=TRUE, ct.off=0.2)
dev.off()
