library(ape)
library(KernSmooth)
library(crop)

DIR <-  dir("data")
trees <- c("tall_mb")
for(t in trees) {
assign(t, read.tree(paste0("data/",  DIR[grepl(t, DIR)])))
}
tree <- tall_mb

ptree <- drop.tip(tree, grep("Plantago", tree$tip.label, invert=TRUE))

pc <- cmdscale(cophenetic.phylo(ptree))
pest <- bkde2D(pc, bandwidth=c(0.0005, 0.005))

file <- "data/plantago_3d_surf.pdf"
pdf(file=file)
persp(pest$x1, pest$x2, pest$fhat, theta=135, phi=15, col="grey", shade=0.75, border=NA, box=FALSE)
dev.off.crop(file=file)
