library(phangorn)
DATE <- format(Sys.time(), "%Y%m%d_%H%M%S")
treesp <- read.table("../../data/plantago_treesp.txt", sep="\t", h=T, as.is=T)
outgroups <- treesp$SPECIES.NEW[treesp$TYPE == "outgroup" & treesp$USE == 1]
outgroups <- gsub(" ", "_", outgroups)

outliers <- treesp$SPECIES.NEW[treesp$TYPE == "outlier" & treesp$USE == 1]
outliers <- gsub(" ", "_", outliers)

conc <- read.dna("40_concatenated/morph.fasta", format="fasta")

LAB <- sub("__.*$", "", labels(conc))
OUT <- labels(conc)[LAB %in% outgroups]
EXC <- labels(conc)[LAB %in% outliers] # is not used

conc.phydat <- phyDat(conc)

cat("morph conc...\n")
conc.tree <- root(NJ(dist.hamming(conc.phydat)), OUT, resolve.root=TRUE)

##
pdf(paste("50_technical_trees/", DATE, "_morph_conc_nj_plantago.pdf", sep=""), width=28, height=64)
oldpar <- par(mar=c(0,0,0,0))
plot(conc.tree)
mtext("NJ morph", font=2, line=-3)
par(oldpar)
dev.off()
##
