library(ips)
library(shipunov)

DATE <- format(Sys.time(), "%Y%m%d_%H%M%S")

conc <- read.dna("33_alignments_trimmed_gapcoded/its.fasta", format="fasta")

lconc <- dimnames(conc)[[1]]
dimnames(conc)[[1]] <- gsub("[ ,]+", "_", lconc)
conc <- conc[grep("Aragoa|Veronicastrum", lconc), ]

OUT <- "Veronicastrum_virginicum__KX061037"

setwd("70_mrbayes_working")
tr <- MrBayes(conc, file="aragoa_its", burnin=5000, run=TRUE, temp=0.15, nchains=8)
## tr <- read.nexus("aragoa_its.con.tre")
setwd("..")

tr <- tr[[1]]
tr <- root(tr, outgroup=OUT, resolve.root=T)
tr$node.label <- suppressWarnings(round(as.numeric(tr$node.label)*100)) # warning is OK

pdf(paste("99_mp_mb_trees/", DATE, "_aragoa_its_mb_plantago.pdf", sep=""), height=21, width=16)
oldpar <- par(mar=c(0,0,0,0))
plot(tr)
nodelabels(tr$node.label, frame="none", bg="transparent", adj=-0.1)
mtext("its Aragoa MB", font=2, line=-3)
add.scale.bar()
dev.off()
##
tr$node.label[tr$node.label == "NA"] <- ""
write.tree(tr, file=paste("99_mp_mb_trees/", DATE, "_aragoa_its_mb_plantago.tre", sep=""))
