library(shipunov)

options(stringsAsFactors=F)

coi <- read.table("../../data/ext/genbank/current/coi_tab.txt", sep="\t", h=T, as.is=T)
its <- read.table("../../data/ext/genbank/current/its_tab.txt", sep="\t", h=T, as.is=T)
matk <- read.table("../../data/ext/genbank/current/matk_tab.txt", sep="\t", h=T, as.is=T)
rbcl <- read.table("../../data/ext/genbank/current/rbcl_tab.txt", sep="\t", h=T, as.is=T)
trnl <- read.table("../../data/ext/genbank/current/trnl_tab.txt", sep="\t", h=T, as.is=T)

genbank <- rbind(data.frame(its, FRAGMENT="its"), data.frame(matk, FRAGMENT="matk"), data.frame(coi, FRAGMENT="coi"), data.frame(rbcl, FRAGMENT="rbcl"), data.frame(trnl, FRAGMENT="trnl"))

dna <- read.table("../../data/plantago_dna.txt", sep="\t", h=T, as.is=T, quote="")
sp <- read.table("../../data/plantago_sp.txt", sep="\t", h=T, as.is=T)

genbank$SPECIES[!genbank$SPECIES %in% sp$SPECIES] <- Recode(genbank$SPECIES[!genbank$SPECIES %in% sp$SPECIES], sp$SYNONYMS, sp$SPECIES)
genbank$SPECIES <- sub(" x ", " ", genbank$SPECIES) # omit hybrid signs (not in Buxineae)

cat("Not in plantago_sp:\n", paste0(genbank$SPECIES[!genbank$SPECIES %in% sp$SPECIES], "\n"))
genbank <- genbank[genbank$SPECIES %in% sp$SPECIES, ]
genbank$SOURCE <- "GENBANK"
names(genbank)[names(genbank) == "ID"] <- "SEQUENCE.ID.ORIG"
names(genbank)[names(genbank) == "SPECIES"] <- "SPECIES.NEW"
genbank$SEQUENCE.ID <- NA
genbank$SELECT <- NA
genbank$COMMENT <- NA

genbank <- genbank[!genbank$SEQUENCE.ID.ORIG %in% dna$SEQUENCE.ID.ORIG, ]

dna <- rbind(dna, genbank)
# rename manually if everything OK
write.table(dna, file="../../data/plantago_dna_new.txt", sep="\t", quote=F, row.names=F)
